#include <stdio.h>

int long long N,K,X;

int main()
{
    scanf("%lld%lld%lld",&N,&K,&X);

    if(K==3){
     if(N>3){
     for(int i=0;i<N-4;i++) printf("%lld ",X/2);
     printf("%lld 1 1 1",X+1);
     }
     else if(N==3) printf("%lld %lld 1",X+X+1,X+1);
     else printf("-1");
    }
    else{
     if(N==K) printf("-1");
    }

    return 0;
}